## rsyslog 8.2412.0

=== debian/changelog ===
rsyslog (8.2412.0-2ubuntu2) plucky; urgency=medium

  * d/t/logcheck: when checking the journal, only consider current boot
    (LP: #2100765)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 03 Mar 2025 16:01:32 -0300

rsyslog (8.2412.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        * d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        * d/rsyslog.install: install reload-apparmor-profile
        * d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests:
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: test with a MySQL server
      + d/t/control, d/t/simple-pgsql: test with a PostgreSQL server
      + d/t/apparmor-include-mechanism: test for the rsyslog.d include
        mechanism used by the rsyslog apparmor profile
      + ubuntu: fix debian/tests/logcheck - timing
    - Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
      + ubuntu: update debian/rsyslog.logcheck.ignore.server
    - d/rsyslog.service: adjust sandboxing
      + add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    - d/usr.sbin.rsyslog: add apparmor rule to allow reading systemd sessions
      (LP: #2056768)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow the imjournal module to
      work (LP: #2073628)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow access to disable_ipv6
      inside /proc (LP: #2061726)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 01:31:49 -0600

rsyslog (8.2412.0-2) unstable; urgency=medium

  * Enable hiredis input module and ship it in rsyslog-hiredis.
    Add a Build-Depends on libevent-dev accordingly. (Closes: #1087572)

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Feb 2025 17:23:20 +0100

rsyslog (8.2412.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for

