## rsyslog 8.2502.0

=== debian/changelog ===
rsyslog (8.2502.0-6.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Tue, 29 Apr 2025 17:18:17 +0300

rsyslog (8.2502.0-6) unstable; urgency=medium

  * Update dbconfig dependencies.
    Use the package dependencies recommended by dbconfig-common 2.0.0.
  * Update list of suggested packages.
    This makes it easier for users to spot rsyslog related packages and also
    includes the package state in bug reports.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Apr 2025 23:25:59 +0200

rsyslog (8.2502.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Apr 2025 09:58:33 +0200

rsyslog (8.2502.0-4) experimental; urgency=medium

  * Enable docker input module.
    Ship the module in a separate package named rsyslog-docker.
    (Closes: #927724)
  * Enable ClickHouse output module.
    Ship the module in a separate package named rsyslog-clickhouse.
    (Closes: #968221)

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2025 15:15:49 +0200

rsyslog (8.2502.0-3) unstable; urgency=medium

  * Enable DTLS input and output module.
    Those modules enable secure message exchange over UDP using the DTLS
    protocol as specified in RFC 6012.
    Ship those modules in the rsyslog-openssl package. (Closes: #1102719)

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2025 14:50:27 +0200

rsyslog (8.2502.0-2) unstable; urgency=medium

  * Send HUP signal only to main process on log rotation (Closes: #1102699)
  * Release version to 4.7.2 to unstable

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2025 11:38:54 +0200

rsyslog (8.2502.0-1) unstable; urgency=medium

  * New upstream version 8.2502.0

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Feb 2025 10:04:18 +0100
