=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: rsyslog
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libzstd-dev (>= 1.4.0),
@@ -26,7 +24,6 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
                pkgconf,
                bison,
                flex,
@@ -37,7 +34,7 @@
                logrotate <!nocheck>,
                iproute2 [linux-any] <!nocheck>,
                curl <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
 Vcs-Browser: https://salsa.debian.org/debian/rsyslog
@@ -52,16 +49,20 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
-         ucf
 Recommends: logrotate
-Suggests: rsyslog-mysql | rsyslog-pgsql,
+Suggests: rsyslog-doc,
+          rsyslog-mysql | rsyslog-pgsql,
           rsyslog-mongodb,
-          rsyslog-doc,
+          rsyslog-elasticsearch,
+          rsyslog-kafka,
+          rsyslog-hiredis,
+          rsyslog-snmp,
+          rsyslog-kubernetes,
+          rsyslog-docker,
+          rsyslog-clickhouse,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.8.96~2541-0ubuntu4~)
+          rsyslog-relp
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -83,7 +84,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
-         dbconfig-common,
+         dbconfig-mysql | dbconfig-no-thanks,
          ucf
 Recommends: default-mysql-client | virtual-mysql-client
 Suggests: default-mysql-server | virtual-mysql-server
@@ -95,7 +96,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
-         dbconfig-common,
+         dbconfig-pgsql | dbconfig-no-thanks,
          ucf
 Recommends: postgresql-client
 Suggests: postgresql
@@ -159,9 +160,13 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version})
-Description: TLS protocol support for rsyslog (OpenSSL)
- This netstream plugin allows rsyslog to send and receive encrypted syslog
- messages via the syslog-transport-tls IETF standard protocol using OpenSSL.
+Description: TLS/DTLS protocol support for rsyslog (OpenSSL)
+ The netstream plugin allows rsyslog to send and receive encrypted syslog
+ messages via the syslog-transport-tls IETF standard protocol using TLS.
+ .
+ The DTLS plugins allow rsyslog to send and receive syslog messages via UDP
+ using the DTLS protocol. This enables secure message exchange as specified in
+ RFC 6012.
 
 Package: rsyslog-relp
 Architecture: any
@@ -208,3 +213,24 @@
 Description: Kubernetes metadata support for rsyslog
  These plugins allow rsyslog to augment syslog messages with Kubernetes
  metadata.
+
+Package: rsyslog-docker
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+Suggests: docker.io
+Description: Docker input plugin for rsyslog
+ This plugin allows rsyslog to receive container logs from Docker (engine) via
+ the Docker Rest API.
+
+Package: rsyslog-clickhouse
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+Description: ClickHouse output plugin for rsyslog
+ This plugin provides native support for logging to ClickHouse.
+ ClickHouse is a column-oriented DBMS (columnar database management system) for
+ online analytical processing (OLAP) that allows users to generate analytical
+ reports using SQL queries in real-time.
