=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: rsyslog
 Section: admin
 Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libzstd-dev (>= 1.4.0),
@@ -24,6 +26,7 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
+               libsystemd-dev (>= 209) [linux-any],
                pkgconf,
                bison,
                flex,
@@ -49,6 +52,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         adduser,
+         ucf
 Recommends: logrotate
 Suggests: rsyslog-doc,
           rsyslog-mysql | rsyslog-pgsql,
@@ -62,7 +67,8 @@
           rsyslog-clickhouse,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp
+          rsyslog-relp,
+          apparmor (>= 2.8.96~2541-0ubuntu4~)
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
