## rsyslog 8.2506.0

=== debian/changelog ===
rsyslog (8.2506.0-6devuan1) unstable; urgency=medium

  * Merge tag debian/8.2506.0-6.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Oct 2025 20:02:29 +0100

rsyslog (8.2506.0-6) unstable; urgency=medium

  * Use execute_{before,after} instead of override where possible
  * Avoid excessive usage of DEB_HOST_MULTIARCH and use wildcards instead
  * rsyslog-mysql and rsyslog-pgsql can be used in parallel.
    So don't mark them as alternative dependencies.
  * Stop setting the PYTHON interpreter path.
    No longer required.

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Oct 2025 21:39:36 +0200

rsyslog (8.2506.0-5) unstable; urgency=medium

  * Drop Recommends: mongodb-server from rsyslog-mongodb.
    The mongodb(-server) package was removed from the archive in 2020 due to
    licensing issues. Remove the Recommends accordingly. (Closes: #1116112)

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Oct 2025 17:06:51 +0200

rsyslog (8.2506.0-4devuan1) unstable; urgency=medium

  * Merge tag debian/8.2506.0-4 (Closes: #908).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 07 Sep 2025 07:29:44 +0100

rsyslog (8.2506.0-4) unstable; urgency=medium

  [ Richard Lewis ]
  * Make autopkgtest work in containers without /proc/kmesg.
    If /proc/kmesg is not available (or not accessible), rsyslog will
    produce some extra error messages, which the default logcheck rules
    won't match, making the test fail: hide these with a local rule.
    (Closes: #1110192)

  [ Michael Biebl ]
  * Disable missing-breaks test for salsa-ci

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Aug 2025 14:36:14 +0200

rsyslog (8.2506.0-3) unstable; urgency=medium

  * Rename debian-branch to debian/latest as per DEP-14
  * Fix cleanup of temporary files in autopkgtest
  * Add support for mongo-c-driver v2

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Aug 2025 16:47:50 +0200

rsyslog (8.2506.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Aug 2025 21:42:56 +0200

rsyslog (8.2506.0-1) experimental; urgency=medium

  * New upstream version 8.2506.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Aug 2025 16:08:04 +0200

rsyslog (8.2504.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2504.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 06 May 2025 22:01:25 +0100

rsyslog (8.2502.0-6devuan1) unstable; urgency=medium

  * Merge tag debian/8.2502.0-6.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Apr 2025 06:41:12 +0100

rsyslog (8.2502.0-5devuan1) unstable; urgency=medium

  * Merge tag debian/8.2502.0-5.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 13 Apr 2025 18:49:38 +0100

rsyslog (8.2502.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/8.2502.0-3.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 12 Apr 2025 18:45:54 +0100

rsyslog (8.2502.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2502.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 21 Feb 2025 11:51:40 +0000

rsyslog (8.2412.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2412.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 17 Feb 2025 07:31:53 +0000

rsyslog (8.2412.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2412.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 26 Dec 2024 06:39:17 +0000

rsyslog (8.2410.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2410.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Oct 2024 22:14:52 +0100

rsyslog (8.2408.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2408.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 23 Sep 2024 22:06:54 +0100

rsyslog (8.2408.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2408.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 21 Aug 2024 06:39:00 +0100

rsyslog (8.2406.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2406.0-1.
  * d/gbp.conf: use pristine-tar.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Jul 2024 17:21:28 +0100

rsyslog (8.2404.0-2devuan1) unstable; urgency=medium

  * Merged tag debian/8.2404.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 10 Apr 2024 19:06:05 +0100

rsyslog (8.2404.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2404.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 03 Apr 2024 05:22:09 +0100

rsyslog (8.2402.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2402.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 28 Feb 2024 09:08:49 +0000

rsyslog (8.2312.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/8.2312.0-3.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Feb 2024 18:16:45 +0000

rsyslog (8.2312.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2312.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 03 Jan 2024 20:48:01 +0000

rsyslog (8.2312.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2312.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 12 Dec 2023 21:06:22 +0000

rsyslog (8.2310.0-4devuan1) unstable; urgency=medium

  * Merge tag debian/8.2310.0-4.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 27 Nov 2023 20:46:11 +0000

rsyslog (8.2310.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/8.2310.0-3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 27 Nov 2023 15:35:51 +0000

rsyslog (8.2310.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2310.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 17 Oct 2023 09:14:06 +0100

rsyslog (8.2310.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2310.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 12 Oct 2023 06:24:46 +0100

rsyslog (8.2308.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2308.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 17 Aug 2023 03:47:04 +0100

rsyslog (8.2306.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2306.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 15 Aug 2023 20:09:16 +0100

rsyslog (8.2302.0-1devuan1) unstable; urgency=medium


