=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: rsyslog
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark Hindley <mark@hindley.org.uk>,
+	Ivan J. <parazyd@dyne.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libzstd-dev (>= 1.4.0),
@@ -26,7 +27,6 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
                pkgconf,
                bison,
                flex,
@@ -39,8 +39,9 @@
                curl <!nocheck>,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
-Vcs-Browser: https://salsa.debian.org/debian/rsyslog
+Vcs-Git: https://git.devuan.org/devuan/rsyslog.git
+Vcs-Browser: https://git.devuan.org/devuan/rsyslog.git
+Origin: Devuan
 Homepage: https://www.rsyslog.com/
 
 Package: rsyslog
@@ -52,11 +53,11 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
-         ucf
+	 lsb-base
 Recommends: logrotate
 Suggests: rsyslog-doc,
-          rsyslog-mysql | rsyslog-pgsql,
+          rsyslog-mysql,
+          rsyslog-pgsql,
           rsyslog-mongodb,
           rsyslog-elasticsearch,
           rsyslog-kafka,
@@ -67,8 +68,7 @@
           rsyslog-clickhouse,
           rsyslog-openssl | rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.8.96~2541-0ubuntu4~)
+          rsyslog-relp
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
@@ -115,7 +115,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          rsyslog (= ${binary:Version}),
-Recommends: mongodb-server
 Description: MongoDB output plugin for rsyslog
  This plugin allows rsyslog to write syslog messages to MongoDB, a
  scalable, high-performance, open source NoSQL database.
