=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CPPFLAGS_MAINT_APPEND = -DPATH_PIDFILE=\"/run/rsyslogd.pid\"
 
-export PYTHON=/usr/bin/python3
-
-# the default LDFLAGS="-Wl,-Bsymbolic-functions" caused rsyslog to
-# segfault on receipt of first message (see LP: #794230)
-export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
-
 %:
 	dh $@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
-		--enable-imjournal \
-		--enable-omjournal \
+		--disable-imjournal \
+		--disable-omjournal \
+		--disable-libsystemd \
 		--enable-kmsg
 endif
 
@@ -45,11 +40,13 @@
 		--enable-pmciscoios \
 		--enable-pmcisconames \
 		--enable-pmlastmsg \
+		--enable-pmnormalize \
 		--enable-pmsnare \
 		--enable-omstdout \
 		--enable-omprog \
 		--enable-omuxsock \
 		--enable-mmanon \
+		--enable-mmnormalize \
 		--enable-mmjsonparse \
 		--enable-mmutf8fix \
 		--enable-mmpstrucdata \
@@ -66,7 +63,6 @@
 		--enable-omdtls \
 		--enable-fmhash \
 		--enable-testbench \
-		--enable-extended-tests \
 		--enable-imdiag \
 		--enable-libzstd \
 		--disable-libgcrypt \
@@ -75,20 +71,14 @@
 		--disable-liblogging-stdlog \
 		--without-valgrind-testbench
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	install --mode=644 -D plugins/ommysql/createDB.sql \
 		debian/rsyslog-mysql/usr/share/dbconfig-common/data/rsyslog-mysql/install/mysql
 	install --mode=644 -D plugins/ompgsql/createDB.sql \
 		debian/rsyslog-pgsql/usr/share/dbconfig-common/data/rsyslog-pgsql/install/pgsql
 
-override_dh_install:
+execute_before_dh_install:
 	find debian/tmp -name '*.la' -print -delete
-	dh_install
-
-override_dh_installinit:
-	dh_apparmor --profile-name=usr.sbin.rsyslogd -prsyslog
-	dh_installinit
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
